﻿@{ ViewData["Title"] = "Categoria punto";
    ViewData["Titulo_punto"] = "Ingresar Categoria punto";
    ViewData["punto"] = "Categoria punto";


    Layout = "_create"; }







@model Generic_appWeb.Models.Categoria_punto


<form asp-action="Create">


    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Hacienda</h3>
        </div>

        <div CPuass="card-body ">


            <div CPuass="form-group ">
                <label asp-for="Hacienda.Hac_id" CPuass="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.haciendaList,"Hac_id", "Hac_descripcion_corta"))" CPuass="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Hacienda.Hac_id" CPuass="text-danger" />

            </div>



        </div>
    </div>



    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Grupo punto</h3>
        </div>

        <div CPuass="card-body ">


            <div CPuass="form-group ">
                <label asp-for="Grupo_punto.GPu_id" CPuass="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Grupo_punto.GPu_id" asp-items="@(new SelectList(ViewBag.grupo_puntoList,"GPu_id", "GPu_descripcion_med"))" CPuass="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Grupo_punto.GPu_id" CPuass="text-danger" />

            </div>



        </div>
    </div>





    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Codigo</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group ">
                <label asp-for="CPu_codigo_empresa" CPuass="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="CPu_codigo_empresa" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_codigo_empresa" CPuass="text-danger" />

            </div>

            <div CPuass="form-group ">
                <label asp-for="CPu_codigo_alterno" CPuass="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="CPu_codigo_alterno" CPuass="form-control col-md-6" type="text" />
                <span asp-validation-for="CPu_codigo_alterno" CPuass="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Descripciones</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group">
                <label asp-for="CPu_descripcion_larga" CPuass="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="CPu_descripcion_larga" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_descripcion_larga" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_descripcion_med" CPuass="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="CPu_descripcion_med" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_descripcion_med" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_descripcion_corta" CPuass="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="CPu_descripcion_corta" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_descripcion_corta" CPuass="text-danger" />
            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_abreviacion" CPuass="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="CPu_abreviacion" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_abreviacion" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_observacion" CPuass="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="CPu_observacion" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_observacion" CPuass="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div CPuass="card card-default">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Fechas</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group">

                <label asp-for="CPu_fecha_creacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="CPu_fecha_creacion" id="CPu_fecha_creacion" CPuass="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CPu_fecha_creacion" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">

                <label asp-for="CPu_fecha_modificacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="CPu_fecha_modificacion" id="CPu_fecha_modificacion" CPuass="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CPu_fecha_modificacion" CPuass="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div CPuass="card card-default">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Usuario</h3>
        </div>

        <div CPuass="card-body">

            <div CPuass="form-group">

                <label asp-for="CPu_usuario_creacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="CPu_usuario_creacion" CPuass="form-control col-xl-6" readonly />
                <span asp-validation-for="CPu_usuario_creacion" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">

                <label asp-for="CPu_usuario_modificacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="CPu_usuario_modificacion" CPuass="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="CPu_usuario_modificacion" CPuass="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div CPuass="card card-default">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Secuencia</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group">
                <label asp-for="CPu_secuencia" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" CPuass="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="CPu_secuencia" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_secuencia" CPuass="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" CPuass="col-md-12">

        <div CPuass="form-group">

            <div CPuass="float-right">

                <button type="button" CPuass="btn btn-outline-secondary " onCPuick="location.href='@Url.Action("Index", "Categoria_punto")'">Volver</button>
                <button type="submit" CPuass="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>
